#include <qsplitter.h>

#include "trimainwindow.h"
#include "trimainwindow.moc"


TriMainWindow::TriMainWindow( QWidget *parent, const char *name  )
    : KParts::MainWindow( parent, name ? name : "tri_main_window" )
{
    // Sidebar
    sideSplit = new QSplitter( this );

    side = new QTabWidget( sideSplit, "sidebar" );
    side->setMargin( 0 );
    side->setSizePolicy( QSizePolicy( QSizePolicy::MinimumExpanding, 
				      QSizePolicy::MinimumExpanding ) );

    // Main Frame
    msgSplit = new QSplitter( Qt::Vertical, sideSplit );

    doc = new QTabWidget( msgSplit, "docView" );
    doc->setMargin( 0 );
    doc->setSizePolicy( QSizePolicy( QSizePolicy::Expanding,
				     QSizePolicy::Expanding ) );

    msg = new QTabWidget( msgSplit, "messages" );
    msg->setMargin( 0 );
    msg->setSizePolicy( QSizePolicy( QSizePolicy::MinimumExpanding,
				     QSizePolicy::MinimumExpanding ) );

    setCentralWidget( sideSplit );
}

TriMainWindow::~TriMainWindow()
{

}

void TriMainWindow::setSidebarVisible( bool visible )
{
    if ( visible && side->isHidden() )
	side->show();
    else if ( side->isVisible() )
	side->hide();
}

void TriMainWindow::setMessagesVisible( bool visible )
{
    if ( visible && msg->isHidden() )
	msg->show();
    else if ( msg->isVisible() )
	msg->hide();
}


// Local Variables:
// c-basic-offset: 4
// End:

