// -*- c++ -*-

#ifndef TRIMAINWINDOW_H
#define TRIMAINWINDOW_H

#include <qtabwidget.h>
#include <kparts/mainwindow.h>

class QSplitter;

/**
 * A main window containing three tabbed panes.
 *
 * @author Richard Moore, rich@kde.org
 * @version $Id: trimainwindow.h,v 1.1.1.1 2001/11/29 18:18:10 rich Exp $
 */
class TriMainWindow : public KParts::MainWindow
{
    Q_OBJECT

public:
    TriMainWindow( QWidget *parent, const char *name=0 );
    virtual ~TriMainWindow();

    /** Returns the doc view widget. */
    QTabWidget *docWidget() const { return doc; }

    /** Returns the message widget. */
    QTabWidget *messageWidget() const { return msg; }

    /** Returns the sidebar widget. */
    QTabWidget *sideWidget() const { return side; }

public slots:
    /** Shows and hides the sidebar. */
    void setSidebarVisible( bool visible );

    /** Shows and hides the message view. */
    void setMessagesVisible( bool visible );

private:
    // View Containers
    QSplitter *sideSplit;
    QSplitter *msgSplit;

    // Views
    QTabWidget *side;
    QTabWidget *doc;
    QTabWidget *msg;
};

#endif // TRIMAINWINDOW_H

// Local Variables:
// c-basic-offset: 4
// End:
